Name:		compose-utils
Version:	0.1.11
Release:	1%{?dist}
Summary:	Utilities for working with composes

Group:		Development/Tools
License:	GPLv2
URL:		https://pagure.io/compose-utils
Source0:	https://pagure.io/releases/compose-utils/%{name}-%{version}.tar.bz2

BuildRequires:	python2-devel
BuildRequires:	python2-nose
BuildRequires:	python-productmd >= 1.1
BuildRequires:	python-freezegun
BuildRequires:	python-mock
BuildRequires:	kobo
BuildRequires:	kobo-rpmlib
Requires:	python-productmd >= 1.1
Requires:	kobo
Requires:	kobo-rpmlib

BuildArch:	noarch

%description
A set of tools for working with composes produced by pungi.


%prep
%setup -q


%build
%py2_build


%install
%py2_install


%check
make test


%files
%defattr(-,root,root,-)
%license COPYING GPL
%doc AUTHORS README.rst
%{python_sitelib}/*
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Fri Nov 25 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.11-1
- Fix copying disk images

* Wed Oct 26 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.10-1
- Shorten verbose changelog, --full will display everything

* Thu Sep 15 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.9-1
- Add a script to generate legacy .composeinfo file
- Add COMPOSE_ID file to copied part of compose
- Treat source as a separate arch when copying compose

* Mon Aug 29 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.8-1
- New upstream release

* Tue Aug 09 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.7-1
- Add a script to copy part of compose
- Add a script to check packages moved between variants

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon May 30 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.6-1
- Fix getting SRPM summary

* Tue Apr 19 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.5-1
- Add utility for listing composes
- Display better error messages when changelog fails to find metadata

* Wed Apr 13 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.4-1
- Add image diff to changelog (Adam Williamson)

* Wed Mar 30 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.3-1
- Do not crash changelog when composeinfo.json is missing
- Run tests when building package

* Tue Mar 15 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.2-1
- Correctly handle epochs

* Thu Feb 25 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.1-1
- Fix wrong address in license

* Thu Feb 25 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.0-1
- Initial packaging
